defaults = {}
defaults.windowTitle = 'Termit'
defaults.tabName = 'Terminal'
defaults.encoding = 'UTF-8'
defaults.wordChars = '+-AA-Za-z0-9,./?%&#:_~'
defaults.font = 'Monospace 10'
--defaults.foregroundColor = 'gray'
--defaults.backgroundColor = 'black'
defaults.showScrollbar = true
defaults.transparentBackground = false
defaults.transparentSaturation = 0.5
defaults.hideSingleTab = false
defaults.hideMenubar = false
defaults.fillTabbar = false
defaults.scrollbackLines = 4096
defaults.geometry = '80x24'
defaults.allowChangingTitle = false
--defaults.changeTitle = function (title)
--    print('title='..title)
--    newTitle = 'Termit: '..title
--    return newTitle
--end
setOptions(defaults)

bindKey('Alt-Right', nextTab)
bindKey('Alt-Left', prevTab)
--bindKey('Ctrl-2', function () print('Hello2!') end)
--bindKey('Ctrl-3', function () print('Hello3!') end)
--bindKey('Ctrl-3', nil) -- remove previous binding

setKbPolicy('keysym')

bindMouse('DoubleClick', openTab)

function onReadLuaAPI()
    tabInfo = {}
    tabInfo.name = 'lua_api.txt'
    tabInfo.command = 'less /usr/share/doc/termit/lua_api.txt'
    tabInfo.encoding = 'UTF-8'
    tabInfo.working_dir = '/tmp'
    openTab(tabInfo)
end
function onReconf()
    reconfigure()
end
userMenu = {}

mi = {}
mi.name = 'Read lua_api.txt'
mi.action = 'onReadLuaAPI()'
table.insert(userMenu, mi)

mi = {}
mi.name = 'Reconfigure'
mi.action = 'onReconf()'
table.insert(userMenu, mi)

-- list of available encodings
encodings = {'UTF-8', 'KOI8-R', 'CP1251', 'CP866'}

addMenu(userMenu, "User menu")
addPopupMenu(userMenu, "User menu")

encMenu = {}

for i, e in pairs(encodings) do 
    mi = {}
    mi.name = e
    mi.action = 'setEncoding("' .. e .. '")'
    table.insert(encMenu, mi)
end
addMenu(encMenu, "Encodings")
addPopupMenu(encMenu, "Encodings")


